<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

if (isset($_GET["ak"]))
{
		
	// links	
	$salida_canal_links = array();
	$q = myquery("SELECT * FROM ".LINKS." WHERE enabled=1 ORDER BY orden DESC limit ".$sig.", ".CONFIG_17."","[var_ak=1]");
	while ($row = myfetch($q))
	{
			
		if (trim($row["url"]==""))
		{ 
			$link="http://"; 
		} else {					
			$link = str_replace("http://","",$row["url"]);
			$link = "http://".$link;
		}		
					
					
		if ($idioma_actual == 0)
		{
			$row["titulo"] = $row["titulo"];
			$row["comentario"] = salida_sin_tags_html_br( $row["comentario"] );
			$row["link"] = $link;
		}
		else if ($idioma_actual == 1)
		{
			$row["titulo"] = $row["titulo_1"];
			$row["comentario"] = salida_sin_tags_html_br( $row["comentario_1"] );
			$row["link"] = $link;
		}
		else if ($idioma_actual == 2)
		{
			$row["titulo"] = $row["titulo_2"];
			$row["comentario"] = salida_sin_tags_html_br( $row["comentario_2"] );
			$row["link"] = $link;
		}
		else if ($idioma_actual == 3)
		{
			$row["titulo"] = $row["titulo_3"];
			$row["comentario"] = salida_sin_tags_html_br( $row["comentario_3"] );
			$row["link"] = $link;
		}
		else if ($idioma_actual == 4)
		{
			$row["titulo"] = $row["titulo_4"];
			$row["comentario"] = salida_sin_tags_html_br( $row["comentario_4"] );
			$row["link"] = $link;
		}
		else if ($idioma_actual == 5)
		{
			$row["titulo"] = $row["titulo_5"];
			$row["comentario"] = salida_sin_tags_html_br( $row["comentario_5"] );
			$row["link"] = $link;
		}
		
	
		$row["logADMIN"] = '<div class="admin_info"><a href="javascript:edit(\''.RUTA_INICIO_IMG.'gestor.php?linkID='.$row["linkID"].'\','.CONFIG_5.');" class="admin">'.LEN_55.'</a> | #'.$row["linkID"].'</div>';


		$salida_canal_links[] = $row;
				
	} // del while	

	// Smarty
	$smarty->assign("salida_canal_links", $salida_canal_links);
	
	// paginas
	$q_todos = myquery("SELECT * FROM ".LINKS." WHERE enabled=1","[var_ak=2]");
	$cnt_links = mynumrows($q_todos);	
	$paginas = paginas_gral($cnt_links, $sig, $pag, CONFIG_17, RUTA_INICIO."len".IGUAL.$idioma_actual.AMPER."ak".IGUAL."1".AMPER."sig".IGUAL);
	
	// Smarty
	$smarty->assign("total", $cnt_links);

	// Smarty
	$smarty->assign("paginas", $paginas);
	

}
	

			
?>